#ifndef TEXTURLOADER_H_INCLUDED
#define TEXTURLOADER_H_INCLUDED

#include "Texture.h"
#include <map>

class TexturLoader
{
public:

    TexturLoader();
    TexturLoader(std::string folder);
    ~TexturLoader();

    GLuint take(std::string nom);
    void addTextur(std::string nom, Texture* sampler); // [!!!] La texture sera détruite dans le destructeur
    void assignFolder(std::string folder);

private:

    std::string m_folder;
    std::map<std::string, Texture*>::iterator m_it;
    std::map<std::string, Texture*> m_paquet;

};

#endif // TEXTURLOADER_H_INCLUDED
